httpd-apreq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "bensyverson" <...@bensyverson.com>
Subject 2.06-dev with httpd 2.2 on FreeBSD
Date Sun, 29 Jan 2006 05:17:12 GMT
Hello,

I'm having trouble getting libapreq2 installed properly. I'm using FreeBSD 5.3, Apache 2.20,
and libapreq-2.06-dev.

The issue is that when I run gmake test, the test fails with:
parsers..../usr/libexec/ld-elf.so.1: Shared object "libapr-0.so.9" not found
for the test modules lt-version, lt-cookie, lt-params, lt-parsers, lt-error and lt-util.

libapr-0.so.9 does indeed exist, at /usr/local/etc/apache2/lib/libapr-0.so.9, and libapreq
should be able to figure this out, as my configure line is:
perl Makefile.PL --with-apache2-apxs=/usr/local/etc/apache2/bin/apxs

When I try ignoring the test results and gmake install'ing, Apache won't start:
Cannot load /usr/local/etc/apache2/modules/mod_apreq2.so into server: /usr/local/lib/libaprutil-1.so.0:
Undefined symbol "libiconv_open"

However, this is also strange, as libiconv is up-to-date and located in /usr/local/lib...

Does anyone have any thoughts? Let me know if there's more relevant information I can provide...

Thanks!

- ben

Mime
  • Unnamed multipart/mixed (inline, None, 0 bytes)
View raw message